summarylogtreecommitdiffstats
path: root/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/test.sh b/test.sh
index e4ab0d9e0888..518a7cbd8863 100755
--- a/test.sh
+++ b/test.sh
@@ -2,11 +2,12 @@
if [ ! -z ${1+x} ];
then
- if [[ $1 == *\/ ]];
+ if [ -f $1 ];
then
- SRCINFO="$1.SRCINFO"
+ SRCINFO="$1"
else
- SRCINFO="$1/.SRCINFO"
+ echo "File not found $1"
+ exit 1
fi
else
SRCINFO=".SRCINFO"